/* Anurag Bhandari
 * 03 August 2009
 *
 * main.cpp:
 * Contains the main function. Makes use of the class Customers in the file Customers.cpp.
 */

#include<iostream>
#include "Customers.cpp"

using namespace std;

/* Global variables */
// We create an array of objects (customers), 100 to start with
Customers customers[100];
int counter=0;

/* This function will display a menu with choices. */
int intro() {
  int i, j, acc_no, choice;
  cout<<"\n\nCUSTOMER PHONE BILLING SYSTEM"<<endl;
  for(j=0;j<30;j++)
    cout<<"=";
  cout<<"\n1. Create a new customer entry";
  cout<<"\n2. Enter call info for an existing customer";
  cout<<"\n3. Display the bill of an existing customer"<<endl;
  for(j=0;j<30;j++)
    cout<<"-";
  cout<<"\nEnter option (1, 2, or 3; Ctrl+C to exit) : ";
  cin>>choice;

  switch(choice) {
    // Create a new customer
    case 1:
      customers[counter].createCustomer();
      counter++;
      break;
    // Enter call information for an existing customer
    case 2:
      cout<<"Enter account number: ";
      cin>>acc_no;
      i=0;
      while(customers[i].getAccNo() != acc_no) {
	if(i > counter) {
	  cout<<"\nSorry, no customer exists with this account no!";
	  return(0);
	}
	i++;
      }
      customers[i].setCallInfo();
      break;
    // Compute and show the bill of an existing customer, based on all the collected values about him/her
    case 3:
      cout<<"Enter account number: ";
      cin>>acc_no;
      i=0;
      while(customers[i].getAccNo() != acc_no) {
	if(i > counter) {
	  cout<<"\nSorry, no customer exists with this account no!";
	  return(0);
	}
	i++;
      }
      customers[i].computeBill();
      customers[i].showBill();
      break;
    default:
      cout<<"\n\nInvalid option. Please select from either of 1, 2, or 3.";
      break;
  }
}

/* The main function. Short and sweet. */
int main() {
  // Indefinite loop. This will keep on displaying the menu after any choice has finished executing.
  while(true) {
    intro();
  }
  return(0);
} 